package com.chelvc.framework.base.model;

import java.io.Serializable;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Getter;
import lombok.NoArgsConstructor;

/**
 * 会话信息
 *
 * @author Woody
 * @date 2023/4/5
 */
@Getter
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class Session implements Serializable {
    /**
     * 主体标识
     */
    private Long id;

    /**
     * 请求地址
     */
    private String host;

    /**
     * 电话号码
     */
    private String mobile;

    /**
     * 设备标识
     */
    private String device;

    /**
     * 是否是首次请求
     */
    private Boolean initial;

    /**
     * 渠道来源
     */
    private String channel;

    /**
     * 应用平台
     */
    private Platform platform;

    /**
     * 客户终端
     */
    private Terminal terminal;

    /**
     * 客户端版本号
     */
    private String version;

    /**
     * 业务类型
     */
    private String business;

    /**
     * 客户端序号
     */
    private Integer sequence;

    /**
     * 授权信息
     */
    private String authority;

    /**
     * 请求时间戳
     */
    private Long timestamp;

    /**
     * 签名信息
     */
    private String signature;

    /**
     * 设备指纹
     */
    private String fingerprint;
}
